Apply by doing:
	cd /usr/src
	patch -p0 < 005_pglistalloc.patch

Then build and install a new kernel.

Index: sys/uvm/uvm_pglist.c
===================================================================
RCS file: /cvs/src/sys/uvm/uvm_pglist.c,v
retrieving revision 1.23
retrieving revision 1.23.2.1
diff -u -p -r1.23 -r1.23.2.1
--- sys/uvm/uvm_pglist.c	27 Jun 2008 17:25:47 -0000	1.23
+++ sys/uvm/uvm_pglist.c	7 Nov 2008 19:24:19 -0000	1.23.2.1
@@ -301,6 +301,12 @@ uvm_pglistalloc(size, low, high, alignme
 			}
 		}
 	}
+
+	/*
+	 * We could not allocate a contiguous range.  This is where
+	 * we should try harder if nsegs > 1...
+	 */
+	goto out;
 
 #if PGFL_NQUEUES != 2
 #error uvm_pglistalloc needs to be updated
